CentOS 7.6 (1810) 正式发布,基于 RHEL 的发行版

王练
 王练
发布于 2018年12月04日
收藏 11

CentOS-7 的第七个发行版本 CentOS 7.6(1810)已发布。CentOS Linux 发行版本是一个稳定、高预测性、高管理性、高重复性的平台,它源于 Red Hat 企业级 Linux(RHEL)的源代码。CentOS 完全遵守 Red Hat 的再发行政策,并且致力与上游产品在功能上完全兼容。CentOS 对组件的修改主要是去除 Red Hat 的商标及美工图。

主要改动

  • 自 1503 发行版本(abrt>= 2.1.11-19.el7.centos.0.1)开始,CentOS-7 可以直接向 bugs.centos.org 汇报错误,你可以在 这里 找到更多关于此功能的数据

  • 下列是其中一些已改版至较新上游版本的软件:samba、pki-core、gcc-libraries、elf-utils、GNOME shell、X11-server、ipset、firewalld、gnutls 及 libreswan

  • Net::SMTP 已新增 SSL 的支持

  • Open-JDK-11 现已可用

  • pNFS SCSI 已不再是预览科技

  • Thunderbolt-3 界面已获支持

  • 一如既往 —— 不同驱动程序获更新

  • 已下组件已宣布获降级:Python 2、lvm2app、Python 内的 3DES、signtool、sendmail、dmraid、Btrfs 文件系统,某些 rsyslog 选项,某些驱动程序等。更多数据已收录在 RHEL 7.6 发行注记

  • 如果你准备在 Anaconda 采用安全性配置文件,请参阅此 连结

  • ipset 用户请留意,上述的改版包括把 ipset 数据从 /etc/sysconfig/ipset 迁往 /etc/sysconfig/ipset.d/ 并以独立文件存储每个 ipset。利用设置管理程序设置 /etc/sysconfig/ipset 的用户必须更改他们的设置。

 被 CentOS 修改了的组件

  • abrt

  • anaconda

  • apache-commons-net

  • basesystem

  • cloud-init

  • cockpit

  • compat-glibc

  • dhcp

  • firefox

  • fwupdate

  • grub2

  • httpd

  • initial-setup

  • ipa

  • kabi-yum-plugins

  • kernel

  • kde-settings

  • libreport

  • ntp

  • openssl098e

  • oscap-anaconda-addon

  • PackageKit

  • pcs

  • plymouth

  • redhat-lsb

  • redhat-rpm-config

  • scap-security-guide

  • shim

  • shim-signed

  • sos

  • subscription-manager

  • system-config-date

  • system-config-kdump

  • thunderbird

  • xulrunner

  • yum

被 CentOS 删除但包含在上游发行内的组件

  • insights-client

  • Red_Hat_Enterprise_Linux-Release_Notes-7-*

  • redhat-access-gui

  • redhat-bookmarks

  • redhat-indexhtml

  • redhat-logos

  • redhat-release-*

  • subscription-manager-migration

  • subscription-manager-migration-data

被 CentOS 新增但不包含在上游发行内的组件

  • centos-bookmarks

  • centos-indexhtml

  • centos-logos

  • centos-release

被发行为 7.5.1804 的更新,但在 7.6.1810 安装媒体内的版本较旧的组件

  • firefox

  • gcc-libraries

  • java-1.8.0-openjdk

  • spamassassin

  • tomcat

  • tzdata

更多详情可查阅发行说明:

中文版(此页仍在编辑中):https://wiki.centos.org/zh/Manuals/ReleaseNotes/CentOS7.1810

英文版:https://wiki.centos.org/Manuals/ReleaseNotes/CentOS7.1810

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 开源中国社区 [http://www.oschina.net]
本文标题:CentOS 7.6 (1810) 正式发布,基于 RHEL 的发行版
加载中

精彩评论

helloclia
helloclia
古老的内核,glibc还停留在2.17,开发环境编译的程序到上面还跑不了。
下次开服务器坚决换Ubuntu!
行之予之

引用来自“helloclia”的评论

古老的内核,glibc还停留在2.17,开发环境编译的程序到上面还跑不了。
下次开服务器坚决换Ubuntu!
开发环境和生产环境要一致,你一边用4.1x,一边用3.10,谁能保证不出问题,建议你们要不全部换成ubuntu,要不全部用centos。
毛毛的故事
毛毛的故事

引用来自“helloclia”的评论

古老的内核,glibc还停留在2.17,开发环境编译的程序到上面还跑不了。
下次开服务器坚决换Ubuntu!

引用来自“小果汁儿”的评论

这几把玩意太旧了,美其名曰“稳定”。稳定个鸡啊,该报的漏洞和bug照样报。不见得新的就不稳定,如果新的不稳定,发新版本做什么,难道不是给人用的?
主要是为了省事吧,毕竟不做事不犯错
行之予之
好多centos7的机器,期待这次升级顺利。
海淀游民
海淀游民

引用来自“helloclia”的评论

古老的内核,glibc还停留在2.17,开发环境编译的程序到上面还跑不了。
下次开服务器坚决换Ubuntu!

引用来自“行之予之”的评论

开发环境和生产环境要一致,你一边用4.1x,一边用3.10,谁能保证不出问题,建议你们要不全部换成ubuntu,要不全部用centos。
跑个 Docker 不就完了

最新评论(21

LootanHu
LootanHu

引用来自“helloclia”的评论

古老的内核,glibc还停留在2.17,开发环境编译的程序到上面还跑不了。
下次开服务器坚决换Ubuntu!

引用来自“LootanHu”的评论

CentOS6 更古老,但是设计优良的程序都是可以跑起来的。

你一定是被某些开发人员给带坏了啦。

引用来自“helloclia”的评论

Rust编译个Helloworld放到CentOS上都跑不起来,因为最低glibc要求2.18。
你需要在 CentOS 上跑,当然你需要在相同版本的 CentOS 上进行编译。

我应该没有说错,嘿嘿。
helloclia
helloclia

引用来自“helloclia”的评论

古老的内核,glibc还停留在2.17,开发环境编译的程序到上面还跑不了。
下次开服务器坚决换Ubuntu!

引用来自“LootanHu”的评论

CentOS6 更古老,但是设计优良的程序都是可以跑起来的。

你一定是被某些开发人员给带坏了啦。
Rust编译个Helloworld放到CentOS上都跑不起来,因为最低glibc要求2.18。
LootanHu
LootanHu

引用来自“helloclia”的评论

古老的内核,glibc还停留在2.17,开发环境编译的程序到上面还跑不了。
下次开服务器坚决换Ubuntu!
CentOS6 更古老,但是设计优良的程序都是可以跑起来的。

你一定是被某些开发人员给带坏了啦。
自由PHP
自由PHP

引用来自“helloclia”的评论

古老的内核,glibc还停留在2.17,开发环境编译的程序到上面还跑不了。
下次开服务器坚决换Ubuntu!
可以自己升级内核,我一般都是机器到手,先把内核升级;centos最大的优势是稳,能在上面正常运行的程序,就算版本升个八代十代的都能用,大大降低了企业成本
海淀游民
海淀游民

引用来自“helloclia”的评论

古老的内核,glibc还停留在2.17,开发环境编译的程序到上面还跑不了。
下次开服务器坚决换Ubuntu!

引用来自“行之予之”的评论

开发环境和生产环境要一致,你一边用4.1x,一边用3.10,谁能保证不出问题,建议你们要不全部换成ubuntu,要不全部用centos。
跑个 Docker 不就完了
我看你还调皮
我看你还调皮
新的东西就一定符合线上环境吗...开玩笑
MGL_TECH
MGL_TECH
每次都自己升级内核
毛毛的故事
毛毛的故事

引用来自“helloclia”的评论

古老的内核,glibc还停留在2.17,开发环境编译的程序到上面还跑不了。
下次开服务器坚决换Ubuntu!

引用来自“小果汁儿”的评论

这几把玩意太旧了,美其名曰“稳定”。稳定个鸡啊,该报的漏洞和bug照样报。不见得新的就不稳定,如果新的不稳定,发新版本做什么,难道不是给人用的?
主要是为了省事吧,毕竟不做事不犯错
MuskIron
MuskIron
坐等默认安装python3的centos8
小果汁儿
小果汁儿

引用来自“helloclia”的评论

古老的内核,glibc还停留在2.17,开发环境编译的程序到上面还跑不了。
下次开服务器坚决换Ubuntu!
这几把玩意太旧了,美其名曰“稳定”。稳定个鸡啊,该报的漏洞和bug照样报。不见得新的就不稳定,如果新的不稳定,发新版本做什么,难道不是给人用的?
返回顶部
顶部